{
    //主包，即放置默认启动页面/TabBar 页面，以及一些所有分包都需用到公共资源/JS 脚本；分包则是根据pages.json的配置进行划分;APP上是不起啥用的
    "pages": [{
        "path": "pages/index/index",
        "style": {
            "navigationBarTitleText": "首页",
            "enablePullDownRefresh": true,
            "titleNView": false
        }
    }, {
        "path": "pages/ctms/tabbar/index/index",
        "style": {
            "enablePullDownRefresh": true
        }
    }, {
        "path": "pages/ctms/tabbar/order/index",
        "style": {}
    }, {
        "path": "pages/ctms/tabbar/mid/index",
        "style": {}
    }, {
        "path": "pages/ctms/tabbar/notice/index",
        "style": {
            "enablePullDownRefresh": true
        }
    }, {
        "path": "pages/ctms/tabbar/me/index",
        "style": {
            "h5": {
                "bounce": "none",
                "titleNView": {
                    "buttons": [{
                        "text": "\ue616 ",
                        "fontSrc": "/static/font/iconfont.ttf",
                        "fontSize": "20px"
                        // "color": "red"
                    }]
                }
            }
        }
    }, {
        "path": "uni_modules/uni-upgrade-center-app/pages/upgrade-popup",
        "style": {
            "disableScroll": true,
            "app-plus": {
                "backgroundColorTop": "transparent",
                "background": "transparent",
                "titleNView": false,
                "scrollIndicator": false,
                "popGesture": "none",
                "animationType": "fade-in",
                "animationDuration": 200

            }
        }
    }, {
        "path": "pages/uni-agree/uni-agree",
        "style": {
            "navigationStyle": "custom",
            "app-plus": {
                "popGesture": "none"
            }
        }
    }, {
        "path": "pages/common/webview/index",
        "style": {
            "navigationBarTitleText": "",
            "app-plus": {
                "bounce": "none",
                "titleNView": {
                    "buttons": [{
                        "text": "\ue739 ", //分享
                        "fontSrc": "/static/font/iconfont.ttf",
                        "fontSize": "20px"
                    }, {
                        "text": "\ue616 ", //问号
                        "fontSrc": "/static/font/iconfont.ttf",
                        "fontSize": "20px"
                    }, {
                        "text": "\ue604 ", //刷新
                        "fontSrc": "/static/font/iconfont.ttf",
                        "fontSize": "20px"
                    }]
                }
            },
            "h5": {
                "bounce": "none",
                "titleNView": {
                    "buttons": [{
                        "text": "\ue616 ", //盾牌
                        "fontSrc": "/static/font/iconfont.ttf",
                        "fontSize": "20px"
                    }, {
                        "text": "\ue604 ", //刷新
                        "fontSrc": "/static/font/iconfont.ttf",
                        "fontSize": "20px"
                    }, {
                        "text": "\ue699 ",
                        "fontSrc": "/static/font/iconfont.ttf",
                        "fontSize": "20px"
                    }]
                }
            }
        },
        "needLogin": false
    }, {
        "path": "pages/common/textview/index",
        "style": {
            "navigationBarTitleText": ""
        },
        "needLogin": false
    }],
    "subPackages": [{
        "root": "pages/uni-starter",
        "pages": [{
                "path": "list/list",
                "style": {
                    // #ifndef APP-PLUS
                    "enablePullDownRefresh": true
                    // #endif
                    // "navigationStyle": "custom"
                }
            }, {
                "path": "list/search/search",
                "style": {
                    "navigationBarTitleText": "搜索"
                }
            }, {
                "path": "list/detail",
                "style": {
                    "app-plus": {
                        "titleNView": {
                            "buttons": [{
                                "type": "share"
                            }],
                            "type": "transparent"
                        }
                    },
                    "h5": {
                        "titleNView": {
                            "type": "transparent"
                        }
                    },
                    "navigationBarTitleText": "文章详情"
                }
            }, {
                "path": "news/list/list",
                "style": {
                    // #ifndef APP-PLUS
                    "enablePullDownRefresh": true
                    // #endif
                    // "navigationStyle": "custom"
                }
            }, {
                "path": "news/search/search",
                "style": {
                    "navigationBarTitleText": "搜索"
                }
            }, {
                "path": "news/detail/detail",
                "style": {
                    "app-plus": {
                        "titleNView": {
                            "buttons": [{
                                "type": "share"
                            }],
                            "type": "transparent"
                        }
                    },
                    "h5": {
                        "titleNView": {
                            "type": "transparent"
                        }
                    },
                    "navigationBarTitleText": "文章详情"
                }
            }, {
                "path": "ucenter/ucenter",
                "style": {
                    "navigationStyle": "custom"
                }
            }, {
                "path": "ucenter/settings/settings",
                "style": {
                    "navigationBarTitleText": "设置"
                }
            }, {
                "path": "ucenter/read-news-log/read-news-log",
                "style": {
                    "navigationBarTitleText": "阅读记录",
                    "enablePullDownRefresh": true
                }
            }
            // #ifdef APP-PLUS
            , {
                "path": "ucenter/about/about",
                "style": {
                    "navigationBarTitleText": "关于",
                    "app-plus": {
                        "titleNView": {
                            "buttons": [{
                                "type": "share"
                            }]
                        }
                    }
                }
            },

            {
                "path": "ucenter/invite/invite",
                "style": {
                    "navigationStyle": "custom",
                    "enablePullDownRefresh": false
                }
            }
            // #endif
        ]
    }, {
        "root": "uni_modules/uni-feedback",
        "pages": [{
            "path": "pages/opendb-feedback/opendb-feedback",
            "style": {
                "navigationBarTitleText": "意见反馈",
                "enablePullDownRefresh": false
            }
        }]
    }, {
        "root": "uni_modules/uni-id-pages/pages",
        "pages": [{
                "path": "userinfo/userinfo",
                "style": {
                    "navigationBarTitleText": "个人资料"
                }
            }, {
                "path": "userinfo/realname-verify/realname-verify",
                "style": {
                    "enablePullDownRefresh": false,
                    "navigationBarTitleText": "实名认证"
                }
            }, {
                "path": "login/login-withoutpwd"
            }, {
                "path": "login/login-withpwd"
            }, {
                "path": "userinfo/deactivate/deactivate",
                "style": {
                    "navigationBarTitleText": "注销账号"
                }
            }, {
                "path": "userinfo/bind-mobile/bind-mobile",
                "style": {
                    "navigationBarTitleText": "绑定手机号码"
                }
            }, {
                "path": "login/login-smscode",
                "style": {
                    "navigationBarTitleText": "手机验证码登录"
                }
            }, {
                "path": "register/register",
                "style": {
                    "navigationBarTitleText": "注册"
                }
            }, {
                "path": "retrieve/retrieve",
                "style": {
                    "navigationBarTitleText": "重置密码"
                }
            }, {
                "path": "common/webview/webview",
                "style": {
                    "enablePullDownRefresh": false,
                    "navigationBarTitleText": ""
                }
            }, {
                "path": "userinfo/change_pwd/change_pwd",
                "style": {
                    "enablePullDownRefresh": false,
                    "navigationBarTitleText": "修改密码"
                }
            }, {
                "path": "register/register-by-email",
                "style": {
                    "navigationBarTitleText": "邮箱验证码注册"
                }
            }, {
                "path": "retrieve/retrieve-by-email",
                "style": {
                    "navigationBarTitleText": "通过邮箱重置密码"
                }
            }, {
                "path": "userinfo/set-pwd/set-pwd",
                "style": {
                    "enablePullDownRefresh": false,
                    "navigationBarTitleText": "设置密码"
                }
            }
            // #ifdef H5
            , {
                "path": "userinfo/cropImage/cropImage"
            }, {
                "path": "register/register-admin",
                "style": {
                    "enablePullDownRefresh": false,
                    "navigationBarTitleText": "注册管理员账号"
                }
            }
            // #endif
        ]
    }, {
        "root": "uni_modules/uni-cms-article/pages",
        "pages": [{
            "path": "list/list",
            "style": {
                "backgroundColor": "#FFFFFF",
                "disableScroll": true
                // "navigationStyle": "custom"
            }
        }, {
            "path": "search/search",
            "style": {
                "navigationBarTitleText": "搜索"
            }
        }, {
            "path": "detail/detail",
            "style": {
                "backgroundColor": "#FFFFFF",
                "navigationBarTitleText": "详情"
            }
        }, {
            "path": "detail/preview",
            "style": {
                "backgroundColor": "#FFFFFF",
                "navigationBarTitleText": "预览"
            }
        }]
    }, {
        "root": "pages/ctms",
        "pages": [{
                "path": "index/index",
                "style": {
                    "navigationBarTitleText": "",
                    "navigationStyle": "custom",
                    "enablePullDownRefresh": true
                }
            }, {
                "path": "login/login",
                "style": {
                    "navigationBarTitleText": "登录"
                }
            }, {
                "path": "login/loginSms",
                "style": {
                    "navigationBarTitleText": "登陆"
                }
            }, {
                "path": "login/reg",
                "style": {
                    "navigationBarTitleText": "注册"
                }
            }, {
                "path": "about/about",
                "style": {
                    "navigationBarTitleText": "关于APP",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "me/index",
                "style": {
                    "navigationBarTitleText": "个人中心",
                    "enablePullDownRefresh": true
                }
            }, {
                "path": "order/list/list",
                "style": {
                    "navigationBarTitleText": "运单列表",
                    "enablePullDownRefresh": true
                }
            }, {
                "path": "order/detail/detail",
                "style": {
                    "navigationBarTitleText": "运单详情",
                    "enablePullDownRefresh": true,
                    "app-plus": {
                        "bounce": "none",
                        "titleNView": {
                            "buttons": [
                                //#ifdef APP
                                {
                                    "type": "share"
                                }
                                //#endif
                            ]
                        }
                    }
                }
            }, {
                "path": "order/detail/check",
                "style": {
                    "navigationBarTitleText": "运单验车详情",
                    "enablePullDownRefresh": true
                }

            }, {
                "path": "order/index/index",
                "style": {
                    "navigationBarTitleText": "运单查询",
                    "enablePullDownRefresh": false
                }

            }, {
                "path": "order/create/create",
                "style": {
                    "navigationBarTitleText": "在线下单",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "orderpre/list/list",
                "style": {
                    "navigationBarTitleText": "询价记录",
                    "enablePullDownRefresh": true
                }
            }, {
                "path": "orderpre/detail/detail",
                "style": {
                    "navigationBarTitleText": "询价详情",
                    "enablePullDownRefresh": true,
                    "app-plus": {
                        "bounce": "none",
                        "titleNView": {
                            "buttons": [
                                //#ifdef APP
                                {
                                    "type": "share"
                                }
                                //#endif
                            ]
                        }
                    }
                }
            }, {
                "path": "orderpre/create/create",
                "style": {
                    "navigationBarTitleText": "获取报价",
                    "enablePullDownRefresh": false
                },
                "needLogin": false
            }, {
                "path": "news/list/list",
                "style": {
                    "navigationBarTitleText": "资讯中心",
                    "enablePullDownRefresh": true
                }
            }, {
                "path": "news/detail/detail",
                "style": {
                    "navigationBarTitleText": "",
                    "enablePullDownRefresh": true,
                    "app-plus": {
                        "bounce": "none",
                        "titleNView": {
                            "buttons": [
                                //#ifdef APP
                                {
                                    "type": "share"
                                }
                                //#endif
                            ]
                        }
                    }
                }
            },
            {
                "path": "order/yanche/yanche",
                "style": {
                    "navigationBarTitleText": "验车上传"
                }
            },
            {
                "path": "scan/scan",
                "style": {
                    "navigationBarTitleText": ""
                }
            }
        ]
    }],
    "globalStyle": {
        // #ifdef H5
        "h5": {
            "titleNView": true //为false的在H5界面不显示导航栏
        },
        // #endif
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "运车助手",
        "navigationBarBackgroundColor": "#FFFFFF",
        "backgroundColor": "#F8F8F8",
        "enablePullDownRefresh": false,
        // "maxWidth":375,
        "rpxCalcMaxDeviceWidth": 375,
        "rpxCalcBaseDeviceWidth": 375
        // "rpxCalcIncludeWidth":0
    },
    "tabBar": {
        "borderStyle": "black",
        "backgroundColor": "#333",
        "color": "#8F8F94",
        "selectedColor": "#f33e54",
        "list": [{
                "pagePath": "pages/ctms/tabbar/index/index",
                "iconPath": "static/img/tabbar/default/home.png",
                "selectedIconPath": "static/img/tabbar/default/homeactive.png",
                "text": "首页"
            },
            {
                "pagePath": "pages/ctms/tabbar/order/index",
                "iconPath": "static/img/tabbar/default/guanzhu.png",
                "selectedIconPath": "static/img/tabbar/default/guanzhuactive.png",
                "text": "查单"
            },
            {
                "pagePath": "pages/ctms/tabbar/mid/index",
                "iconPath": "static/img/tabbar/default/add.png",
                "selectedIconPath": "static/img/tabbar/default/addactive.png"
            },
            {
                "pagePath": "pages/ctms/tabbar/notice/index",
                "iconPath": "static/img/tabbar/default/news.png",
                "selectedIconPath": "static/img/tabbar/default/newsactive.png",
                "text": "消息"
            },
            {
                "pagePath": "pages/ctms/tabbar/me/index",
                "iconPath": "static/img/tabbar/default/me.png",
                "selectedIconPath": "static/img/tabbar/default/meactive.png",
                "text": "我"
            }
        ]
    },
    "uniIdRouter": {
        //自动路由
        // "loginPage": "uni_modules/uni-id-pages/pages/login/login-withoutpwd",
        "loginPage": "pages/ctms/login/loginSms",

        // 需要登录的页面路径
        "needLogin": [
            // 需要登录才可访问的页面列表，可以使用正则语法
            "uni_modules/uni-id-pages/pages/userinfo/userinfo",
            "pages/uni-starter/.*",
            "pages/ctms/order/.*",
            //order目录下全部需要登陆
            "pages/ctms/orderpre/.*",
            "pages/ctms/tabbar/order/.*",
            "pages/ctms/me/.*"
        ],
        // 客户端未登录或登录状态过期的判断： uni_id_token失效
        "resToLogin": true
        // 自动解析云对象及clientDB的错误码，如果是客户端token不正确或token过期则自动跳转配置的登录页面
    }
}